"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.socksProxyAgents = socksProxyAgents;
const {
  SocksProxyAgent
} = require('socks-proxy-agent');
function getOpts(options) {
  const proxy = options.proxy || {};
  const opts = {};
  opts.host = proxy.host || 'localhost';
  opts.port = proxy.port || 1080;
  if (proxy.auth && proxy.auth.username) {
    opts.username = proxy.auth.username;
    opts.password = proxy.auth.password;
  }
  return opts;
}
function socksProxyAgents(options) {
  const agent = new SocksProxyAgent(getOpts(options));
  return {
    http: agent,
    https: agent
  };
}
//# sourceMappingURL=socksProxyAgent.js.map