"use strict";

/* eslint-disable global-require */
const cfg = require('@smpx/cfg');

// noop all the functions in production
if (cfg.isProductionLike()) {
  const d = function () {};
  d.dump = function () {};
  d.trace = function () {};
  d.getTrace = function () {};
  d.enableUncaughtHandler = function () {};
  d.disableUncaughtHandler = function () {};
  module.exports = d;
} else {
  module.exports = require('./d_real');
}
//# sourceMappingURL=d.js.map